<?php 

if (core::ifPost("from")) {
    $md5 = salaries::getExcelMd5(core::getPost("id"));
    if(isset($md5) AND salaries::delete_excel(core::getPost("id"))){
        if(file::delete($md5)){
            alert::recSuccess("L'import a bien été annulé");
        } else {
            alert::recError("Erreur lors de la suppression du fichier");
        }
    } else {
        alert::recError("Erreur lors de la suppression de la ligne");
    }
    header("Location: /rh-historique-excel.html");
    exit();
} else {
    header('HTTP/1.0 401 Unauthorized');
    exit();
}

